codelite 6.0 cannot be built by cmake 3

Discussion about CodeLite development process and patches
vovkasm
CodeLite Curious
Posts: 1
Joined: Sat Dec 06, 2014 10:33 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by vovkasm » Sat Dec 06, 2014 11:54 pm

eranif wrote:
revolle wrote:Any news for this issue ?
This issue is a cmake issue and not codelite one... so unless someone reported it to the cmake team, I don't see any progress here
I just experienced same problem. And digging into cmake code.
Seems this issue already reported to cmake bug list: http://public.kitware.com/Bug/view.php?id=14634
It is because

Code: Select all

unset(CMAKE_BUILD_TYPE CACHE)
in CMakeLists.txt line 301. When I comment out this line, configuration was succefull.
eranif wrote: Is there something wrong with codelite 6.1 for OSX? you can download and use it from the website
Yes. If developer find a bug, he will try to fix it himself, and may be you got pull request with ready to merge fix. But if user is developer, then he had streamline cmake on MacOS, for now with 90% probability it will be cmake 3.0.2 from Homebrew. So this simple bug make a wall for developers to contribute in project. So if you can fix it, it would be very good ;-)

Post Reply